const electron = require('electron')
const { app } = electron
const { BrowserWindow } = electron

let win
function createWindow () {
  win = new BrowserWindow()
  win.loadURL(`file://${__dirname}/main/index.html?${process.argv[2] || __dirname}`)
  win.on('closed', () => { win = null })
}

app.on('ready', createWindow)
app.on('window-all-closed', () => {
  if (process.platform !== 'darwin') {
    app.quit()
  }
})
app.on('activate', () => {
  if (win === null) {
    createWindow()
  }
})
